image: python:3.11

.install_dependencies:
  before_script:
    - pip install poetry
    - poetry config virtualenvs.create false
    - poetry install
    - poetry check

pre-commit-job:
  extends: .install_dependencies
  stage: test
  script:
    - poetry run pre-commit run -a